#ifndef PLAYER_H
#define PLAYER_H

#include "Person.h"
#include "SDL.h"

class Player: public Person
{
public:
	Player(List * playerInfo, int x, int y);
	void control();
	void update();
	void shootSecondary();

	void collide(Object *o);

	virtual Object *copy();

	void addSecondary(std::string filename);
	SDL_Rect drawSecondaryAmmo(SDL_Rect raster);

	void die();
	virtual void addHealth(int dHealth);
protected:
	//collide damage time and wait
	//so you can't collide with the boss multiple times and get hurt each time
	int _cDWait;
	int _cDTime;
	Weapon *_secondaryWeapon;

	static const int MAXHEALTH = 16;
};

#endif